Skip to content

Update lot​

PUT
/goodsReception/rest/v1/lots/update/{id}

Updates lot by ID

Authorizations​

bearerAuth
TypeHTTP (bearer)

Parameters​

Path Parameters

id*
Typeinteger
Required

Request Body​

application/json
JSON
{
"supplierNr": 1,
"articleNr": 100,
"quantity": 500.5,
"unit": "kg",
"deliveryDate": "2024-12-01",
"notes": "Quality delivery"
}

Responses​

Lot updated

application/json
JSON
{
"id": 0,
"lotNumber": "string",
"supplierNr": 0,
"articleNr": 0,
"quantity": 0,
"unit": "string",
"deliveryDate": "string",
"status": "string",
"createdAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI

ITeas iScan Applikation Dokumentation

Version: dev-develop Version: dev-develop
Commit: 242a1f0d
Deployed at: 2026-09-22T13:57:56Z